/**
 * First we will load all of this project's JavaScript dependencies which
 * includes Vue and other libraries. It is a great starting point when
 * building robust, powerful web applications using Vue and Laravel.
 */

require('./bootstrap');

window.Vue = require('vue');
window.moment = require('moment');

/**
 * The following block of code may be used to automatically register your
 * Vue components. It will recursively scan this directory for the Vue
 * components and automatically register them with their "basename".
 *
 * Eg. ./components/ExampleComponent.vue -> <example-component></example-component>
 */

// const files = require.context('./', true, /\.vue$/i)
// files.keys().map(key => Vue.component(key.split('/').pop().split('.')[0], files(key).default))
import { Datetime } from 'vue-datetime';

Vue.component('datetime', Datetime);
Vue.component('example-component', require('./components/ExampleComponent.vue').default);
Vue.component('network-graph', require('./components/NetworkGraph.vue').default);
Vue.component('temp-graph', require('./components/TempGraph.vue').default);
Vue.component('memory-graph', require('./components/MemoryGraph.vue').default);
Vue.component('load-graph', require('./components/LoadGraph.vue').default);
Vue.component('processes-graph', require('./components/ProcessesGraph.vue').default);
Vue.component('disk-graph', require('./components/DiskGraph.vue').default);
Vue.component('search-input', require('./components/SearchInput.vue').default);
Vue.component('search-multiple-input', require('./components/SearchMultipleInput.vue').default);
/**
 * Next, we will create a fresh Vue application instance and attach it to
 * the page. Then, you manwy begin adding components to this application
 * or customize the JavaScript scaffolding to fit your unique needs.
 */

const app = new Vue({
    el: '#app',
});
